SDL_GetDisplayUsableBounds(3)

NAME
SDL_GetDisplayUsableBounds - Get the usable desktop area represented by a display, in screen coordinates.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetDisplayUsableBounds(SDL_DisplayID displayID, SDL_Rect *rect);

DESCRIPTION
This is the same area as SDL_GetDisplayBounds () reports, but with portions reserved by the system removed. For example, on Apple's macOS, this subtracts the area occupied by the menu bar and dock. Setting a window to be fullscreen generally bypasses these unusable areas, so these are good guidelines for the maximum space available to a non-fullscreen window.

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query

rect
    the SDL_Rect
     structure filled in with the display bounds

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetDisplayBounds(3), SDL_GetDisplays(3)